Skip to main content
GET
/
availability-periods
List availability periods
curl --request GET \
  --url https://www.ruddr.io/api/workspace/availability-periods \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "3a7c1f82-e5d4-4b09-8c2e-f1a6d7b0e934",
      "start": "2024-01-15",
      "end": "2024-06-30",
      "hoursPerDay": [
        8,
        8,
        8,
        8,
        8,
        0,
        0
      ],
      "isDefault": false,
      "createdAt": "2024-01-10T09:23:14.512Z"
    }
  ],
  "hasMore": false
}
A period defining a member’s expected working hours. Members may not be full-time, and their availability can change over time.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startingAfter
string

A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.

endingBefore
string

A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.

limit
string

The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.

memberId
string

A member ID (uuid) used to filter availability periods for a specific member.

Response

200

results
object[]
hasMore
boolean

Whether there are more results available after this page.